angular.module('focaModalInforme')
    .factory('focaModalInformeChoferService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getDescargas: function(fechaDesde, fechaHasta) {
                    return $http.post(API_ENDPOINT.URL + '/informe/chofer',
                        {fechaDesde: fechaDesde, fechaHasta: fechaHasta});
                },
                getEmpresa: function(id) {
                    return $http.get(API_ENDPOINT.URL + '/empresa/' + id);
                },
                getDistanciaPorIdRemito: function(ids) {
                    return $http.post(API_ENDPOINT.URL + '/remito/distancia', {ids: ids});
                }
            };
        }
    ])
    .factory('focaModalInformeGeneralUnidadService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getEmpresa: function(id) {
                    return $http.get(API_ENDPOINT.URL + '/empresa/' + id);
                },
                getInformeData: function(params) {
                    return $http.post(API_ENDPOINT.URL + '/informe/general-unidad-reparto',
                        {params: params});
                }
            };
        }
    ])
    .factory('focaModalInformeLitrosKmUnidadService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getDescargas: function(idVehiculo, fechaDesde, fechaHasta) {
                    return $http.post(API_ENDPOINT.URL + '/informe/litros-por-km',
                        {idVehiculo: idVehiculo, fechaDesde: fechaDesde, fechaHasta: fechaHasta});
                },
                getEmpresa: function(id) {
                    return $http.get(API_ENDPOINT.URL + '/empresa/' + id);
                },
                getDistanciaPorIdRemito: function(ids) {
                    return $http.post(API_ENDPOINT.URL + '/remito/distancia', {ids: ids});
                }
            };
        }
    ])
    .factory('focaModalInformeHojaRutaService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getHojasRuta: function(fechaDesde, fechaHasta) {
                    return $http.get(API_ENDPOINT.URL + '/hoja-ruta/listar/' +
                        fechaDesde + '/' + fechaHasta);
                },
                getEmpresa: function(id) {
                    return $http.get(API_ENDPOINT.URL + '/empresa/' + id);
                }
            };
        }
    ])
    .factory('focaModalInformeRepartoOptimoService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getInformeData: function(params) {
                    return $http.post(API_ENDPOINT.URL + '/informe/reparto-optimo',
                        {params: params});
                }
            };
        }
    ])
    .factory('focaModalInformeProductividadService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getInformeData: function(params) {
                    return $http.post(API_ENDPOINT.URL + '/informe/productividad',
                        {params: params});
                }
            };
        }
    ]);
